/*******************************************************************************
 * Copyright (c) 2018 Renesas Electronics Corporation. All rights reserved.
 *
 * DESCRIPTION   : dummy fw main function
 ******************************************************************************/
#include <stdio.h>
#include <stdint.h>
#include <log.h>
#include <dummy_fw_main.h>
#include <mem_io.h>
#include <remap.h>
#include <remap_register.h>
#include <rcar_def.h>
#include <scif.h>
#include <rst_register.h>
#include <wdt.h>

/* Software version */
#define SW_VERSION_DUMMY_FW         (0x00000001U)

/* Global */
extern const char build_message[];

static void boot_message(void);

__attribute__ ((section (".version"))) const uint32_t sw_version[1] = {
    [0] = SW_VERSION_DUMMY_FW,
};

uint32_t dummy_fw_main(void)
{
	scif_init();
	boot_message();
    while(1){
        wdt_restart();
    }
}

static void boot_message(void)
{
	/* boot message */
	console_puts("",1);
	console_puts("Dummy FW Program",1);
	console_puts("Dummy FW Program boot end",1);
}
